Page MenuHomePhabricator

Localization of namespace names on ukWikisource
Closed, ResolvedPublic

Description

Please, add following translations for namespaces in Ukrainian Wikisource:

"Wikisource": "Вікіджерела"
"Обговорення Wikisource": "Обговорення Вікіджерел"
"Page": "Сторінка"
"Page talk": "Обговорення сторінки"
"Index": "Індекс"
"Index talk": "Обговорення індексу"

Also please add the Author namespace:
"Author": "Автор"
"Author talk": "Обговорення автора"


Version: wmf-deployment
Severity: enhancement
URL: https://uk.wikisource.org/wiki/Wikisource:%D0%9F%D0%BE%D1%80%D1%82%D0%B0%D0%BB_%D1%81%D0%BF%D1%96%D0%BB%D1%8C%D0%BD%D0%BE%D1%82%D0%B8#.D0.9B.D0.BE.D0.BA.D0.B0.D0.BB.D1.96.D0.B7.D0.B0.D1.86.D1.96.D1.8F_.D0.BF.D1.80.D0.BE.D1.81.D1.82.D0.BE.D1.80.D1.96.D0.B2_.D1.96.D0.BC.D0.B5.D0.BD

Details

Reference
bz48308

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:24 AM
bzimport set Reference to bz48308.
DixonD created this task.May 9 2013, 9:33 PM

Hi Dmytro. For any configuration change, we require a local consensus. Could you discuss the matter on the Village pump page of your wiki to confirm that this change is wanted by the community, and paste the link to the discussion here?

For more information about how to request these kinds of changes, please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes and feel free to forward that link to others who may want similar changes made in the future. Thanks!

I think you can go ahead with it according to the discussion.

Related URL: https://gerrit.wikimedia.org/r/64331 (Gerrit Change Id781a0be68e137ed39e97efd87d2cd8fb909fb84)

Related URL: https://gerrit.wikimedia.org/r/64336 (Gerrit Change I0b05d2f9d7d62bd5c8e9038cd80be2ae1dde3139)

https://gerrit.wikimedia.org/r/64331 (Gerrit Change Id781a0be68e137ed39e97efd87d2cd8fb909fb84) | change APPROVED and MERGED [by Tpt]

Are there any specific dates when will it be deployed?

https://gerrit.wikimedia.org/r/64336 (Gerrit Change I0b05d2f9d7d62bd5c8e9038cd80be2ae1dde3139) | change APPROVED and MERGED [by jenkins-bot]

From my point of view, this bug is now fixed. The 'Author' and 'Author_talk' namespaces are now available, and the 'Wikisource' and 'Wikisource_talk' namespaces names have been changed.

You just have to wait until the changes in ProofreadPage are deployed on the cluster—which might come in a few hours' time, or a few days'. Just have a little bit more patience, please :-)

Thank you:) Sorry for annoying, I was actually waiting for the Author namespace most of all, and now it is available)

Base added a comment.May 25 2013, 4:49 PM

Why am I see Page, Page_talk, Index, Index_talk e.g. in http://uk.wikisource.org/wiki/Спеціальна:Нові_редагування RC select instead of Ukrainian ones then?

Read comment 9. Thank you.

Base added a comment.May 25 2013, 7:32 PM

Ah. For me 5 ≠ few. ok, sorry and thanks

Is it possible to have "Index", "Page" and "Author" as aliases to localized namespaces?

Reopen it as it is quite major - now we've got a number of broken links to page names with old namespaces.

Would you mind telling me what's wrong with the new names that /this/ bug needs re-opening?

Usually, localization of namespaces implies that canonical names of namespaces continue to work. That's how I believe this process works in Mediawiki. I reopened this bug instead of creating a new one, because I believe that this is the same issue which was not fixed in a proper way. If you feel that it should be a new ticket, I don't mind to create it, what we need is to fix things that become to be broken.

[general reflection, not specifically to this bug ...]
There is something generally problematic with the overarching approach, and part of this relates to the haphazard deployment of ProofreadPage across the wikis over the years. Something seems askew somewhere in the documentation.

To me it also looks as though there should be some definitions within

http://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php

in the wgProofreadPageNamespaceIds section. For your index and page ns.

If you compare

https://uk.wikisource.org/w/api.php?action=query&meta=siteinfo&siprop=general|namespaces|namespacealiases

and

https://fr.wikisource.org/w/api.php?action=query&meta=siteinfo&siprop=general|namespaces|namespacealiases

you will see the general issue that needs to be addressed

One thing that is required is form someone to propose the namespacesaliases that need to be put in place, and it would seem that the request for Tomas is that these go into a separate bug.

@Tomas, some of us are just plain users who want to work on our data and the tools, and have to try and learn about a weird thing call configuration, and bugzilla. We come here to ask to get things changed, and just see a one step solution that has not worked. You see it is multiple steps with multiple bugzillas, but that is from state of knowledge.

Correct me if I'm wrong, but I think that even in fr wikisource it is not set up as it should be. Shouldn't "Page", "Index" etc go as canonical namespaces instead of aliases?

Anyway, following canonical namespace/aliases have to be set up (according to https://uk.wikisource.org/w/api.php?action=query&meta=siteinfo&siprop=general|namespaces|namespacealiases):

102:Author
103:Author talk
250:Page
251:Page talk
252:Index
253:Index talk

btw is there any specific reason why the same namespaces have different ids for different wikisources? As far I see "Page" and "Index" namespace have got 104 and 106 in other wikisources, while 250 and 252 in ukwikisource. It might cause problems when porting some templates across wikis which rely on namespace numbers instead of canonical names.

Proofread Page and namespaces for those wikis early in the evolution, is not about using reason but more about understanding. I foresee a standardisation approaching, though it would need to be a large coordinated action, especially where NS numbers are being utilised in templates and the like.

If you have look at the WS block number you will see that there are some issues about refactoring ProofreadPage, and some of that discussion is there. That said, I don't even try to understand it all.

Related URL: https://gerrit.wikimedia.org/r/66090 (Gerrit Change I7cd012d4643f388c9ebc300f2e976a3977a03de1)

That patch adds the remaining settings for $wgProofreadPageNamespaceIds which will make the English aliases link properly to the localised 'Index' and 'Page' namespaces as well as adds aliases to the 'Author' and 'Author_talk' namespaces.

I forgot to add the former, and apparently didn't understand that you wanted an English alias for the 'Author' namespace. Sorry about that!

tomasz added a comment.Jun 7 2013, 3:15 PM

Merged by Reedy (thanks!).